Create collection

Creates a new collection.

Request

POST

http://<хост_on-premises>/rpc/createCollection

Headers

Name

Description

x-dl-api-version

Type: string

API version header.

Const: 2

Example: 2

Body

application/json
{
  "title": "example",
  "description": "example",
  "parentId": "example"
}

Name

Description

parentId

Type: string | null

ID of the parent collection in which to create the collection.

Example: example

title

Type: string

Title of the collection.

Example: example

description

Type: string

Description of the collection.

Example: example

Responses

200 OK

Response

Body

application/json
{
  "collectionId": "example",
  "title": "example",
  "description": "example",
  "parentId": "example",
  "tenantId": "example",
  "createdBy": "example",
  "createdAt": "example",
  "updatedBy": "example",
  "updatedAt": "example",
  "meta": {},
  "operation": {
    "id": "example",
    "description": "example",
    "createdBy": "example",
    "createdAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "modifiedAt": {
      "seconds": "example",
      "nanos": 0.5
    },
    "metadata": {},
    "done": true
  }
}

Name

Description

collectionId

Type: string

Unique identifier of the collection.

Example: example

createdAt

Type: string

Creation timestamp.

Example: example

createdBy

Type: string

ID of the user who created the collection.

Example: example

description

Type: string | null

Description of the collection.

Example: example

meta

Type: object

[additional]

Type: unknown

Example: null

Metadata associated with the collection.

Example
{}

parentId

Type: string | null

ID of the parent collection.

Example: example

tenantId

Type: string

ID of the DataLens tenant.

Example: example

title

Type: string

Title of the collection.

Example: example

updatedAt

Type: string

Last update timestamp.

Example: example

updatedBy

Type: string

ID of the user who last updated the collection.

Example: example

operation

Type: DatalensOperation

Asynchronous datalens operation.

Example
{
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "metadata": {},
  "done": true
}

DatalensOperation

Asynchronous datalens operation.

Name

Description

createdAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation creation timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}

createdBy

Type: string

ID of the user who created the operation.

Example: example

description

Type: string

Description of the operation.

Example: example

done

Type: boolean

Indicates if the operation has completed.

id

Type: string

Unique identifier of the operation.

Example: example

metadata

Type: object

Metadata associated with the operation.

Example
{}

modifiedAt

Type: object

seconds

Type: string

Number of seconds since the Unix epoch.

Example: example

nanos

Type: number

Fractional seconds in nanoseconds.

Operation last modification timestamp.

Example
{
  "seconds": "example",
  "nanos": 0.5
}
Example
{
  "id": "example",
  "description": "example",
  "createdBy": "example",
  "createdAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "modifiedAt": {
    "seconds": "example",
    "nanos": 0.5
  },
  "metadata": {},
  "done": true
}
Предыдущая
Следующая